%define github_owner    mwclient
%define github_name     mwclient

Name:           python-%{github_name}
Version:        0.10.1
Release:        %mkrel 6
Summary:        Mwclient is a client to the MediaWiki API
Group:          Development/Python
License:        MIT
URL:            https://github.com/%{github_owner}/%{github_name}
Source0:        https://github.com/%{github_owner}/%{github_name}/archive/v%{version}/%{github_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Mwclient is a client to the MediaWiki API <http://mediawiki.org/wiki/API>
and allows access to almost all implemented API functions.

%package -n     python3-%{github_name}
Summary:        Mwclient is a client to the MediaWiki API
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
Requires:       python3dist(simplejson)
%{?python_provide:%python_provide python3-%{github_name}}

%description -n python3-%{github_name}
Mwclient is a client to the MediaWiki API <http://mediawiki.org/wiki/API>
and allows access to almost all implemented API functions.

This is the Python 3 version of the package.

%files -n python3-%{github_name}
%doc README.md CONTRIBUTING.md
%license LICENSE.md
%{python3_sitelib}/%{github_name}*

# -------------------------------------------------------------------

%prep
%setup -q -n %{github_name}-%{version}
%autopatch -p1

%build
%py3_build

%install
%py3_install


%changelog
* Tue Dec 19 2023 papoteur <papoteur> 0.10.1-6.mga10
+ Revision: 2019506
- Mass Rebuild - Python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.10.1-5.mga9
+ Revision: 1823559
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.10.1-4.mga9
+ Revision: 1783679
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.10.1-3.mga9
+ Revision: 1732981
- Rebuild for python 3.9

* Wed Jul 22 2020 ovitters <ovitters> 0.10.1-2.mga8
+ Revision: 1608062
- rebuild for get rid of pythonegg requires

* Tue Jun 09 2020 daviddavid <daviddavid> 0.10.1-1.mga8
+ Revision: 1591120
- new version: 0.10.1

* Sun Feb 16 2020 umeabot <umeabot> 0.10.0-2.mga8
+ Revision: 1535065
- Mageia 8 Mass Rebuild

* Thu Oct 10 2019 daviddavid <daviddavid> 0.10.0-1.mga8
+ Revision: 1450909
- new version: 0.10.0

* Wed Sep 18 2019 tv <tv> 0.9.3-2.mga8
+ Revision: 1443246
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 0.9.3-1.mga7
+ Revision: 1353436
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.8.0-3.mga7
+ Revision: 1289226
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.8.0-2.mga7
+ Revision: 1135510
- Rebuild for python 3.6

* Tue Jan 26 2016 daviddavid <daviddavid> 0.8.0-1.mga6
+ Revision: 927924
- new version: 0.8.0
- add python3 package
- add patch to fix a py3-incompatible invocation of exec

* Sun Nov 08 2015 philippem <philippem> 0.7.2-1.mga6
+ Revision: 898816
- update to 0.7.2

* Wed Oct 15 2014 umeabot <umeabot> 0.6.5-7.mga5
+ Revision: 748241
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6.5-6.mga5
+ Revision: 729140
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6.5-5.mga5
+ Revision: 688167
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 0.6.5-3.mga4
+ Revision: 517780
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.5-2.mga3
+ Revision: 379155
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 04 2011 ahmad <ahmad> 0.6.5-1.mga2
+ Revision: 118029
- Update to 0.6.5

* Mon Jan 24 2011 ennael <ennael> 0.6.4-2.mga1
+ Revision: 36475
- imported package python-mwclient


* Tue Nov 02 2010 Crispin Boylan <crisb@mandriva.org> 0.6.4-2mdv2011.0
+ Revision: 591998
- Rebuild

* Sat Aug 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.6.4-1mdv2011.0
+ Revision: 567258
- update to 0.6.4

* Mon Mar 08 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.6.3b-1mdv2010.1
+ Revision: 515908
- Update to 0.6.3b

* Fri Feb 12 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.6.3-1mdv2010.1
+ Revision: 504457
- import python-mwclient


